--
--  Copyright 2016 Anyware Services
--
--  Licensed under the Apache License, Version 2.0 (the "License");
--  you may not use this file except in compliance with the License.
--  You may obtain a copy of the License at
--
--      http://www.apache.org/licenses/LICENSE-2.0
--
--  Unless required by applicable law or agreed to in writing, software
--  distributed under the License is distributed on an "AS IS" BASIS,
--  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--  See the License for the specific language governing permissions and
--  limitations under the License.
--

CREATE TABLE synchro_sql_orgunits
( id INT PRIMARY KEY NOT NULL,
  title VARCHAR(255),
  abstract VARCHAR(255),
  parentId INT
);

INSERT INTO synchro_sql_orgunits (id, title, abstract, parentId)
    VALUES 
    (1, 'Pôle Ametys', 'Pôle Ametys', null),
    (2, 'Service développement', 'Service développement', 1),
    (3, 'Service commercial', 'Service commercial', 1),
    (4, 'Service des projets', 'Service des projets', 1),
    (5, 'Salle de jeux', 'Salle de jeux', 2);

CREATE TABLE synchro_sql_users
( id INT PRIMARY KEY NOT NULL,
  login VARCHAR(255),
  nom VARCHAR(255),
  prenom VARCHAR(255),
  role VARCHAR(255),
  orgunitId INT
);

INSERT INTO synchro_sql_users (id, login, nom, prenom, orgunitId, role)
    VALUES 
    (1, 'lbouchet', 'Bouchet', 'Loic', 2, null),
    (2, 'sprieul', 'Prieul', 'Simon', 2, null),
    (3, 'laumeunier', 'Aumeunier', 'Laurence', 2, 'Chef du developpement'),
    (4, 'cdamioli', 'Damioli', 'Cedric', 1, 'President'),
    (5, 'gubersfeld', 'Ubersfeld', 'Gauthier', 1, 'Directeur commercial'),
    (6, 'lperier', 'Perier', 'Laurence', 4, null),
    (7, 'fravetier', 'Ravetier', 'Frederic', 4, 'Directeur des projets'),
    (8, 'glefebvre', 'Lefebvre', 'Gregory', 2, null),
    (9, 'jbourak', 'Bourak', 'Julien', 3, 'Commercial'),
    (10, 'nportman', 'Portman', 'Natalie', 5, 'Actrice'),
    (11, 'gubersfeld', 'Ubersfeld', 'Gauthier', 3, 'Commercial');
    